### Function

# ECal ComponentBagItem hash_by_comp

since: 3.58

#### Declaration [src]

    guint
    e_cal_component_bag_item_hash_by_comp (
      gconstpointer self
    )

#### Description [src]

Calculates hash of the `self`, considering only the client, uid and rid from the `self`, because the client with the component ID and the recurrence ID uniquely identify the component.

See: e_cal_component_bag_item_equal_by_comp().

Available since: 3.58

#### Parameters

`self`

  Type: `gconstpointer`

  An `ECalComponentBagItem`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

Hash value for the `self`‘s component.